Main Page Class List Class Members

# Nv::Blast::FixedPriorityQueue< Element, Comparator > Class Template Reference

`#include <NvBlastFixedPriorityQueue.h>`

List of all members.

## Public Member Functions
void | clear ()
| Empty the priority queue.
bool | empty () const
| Check to whether the priority queue is empty.
| FixedPriorityQueue (const Comparator &less=Comparator())
Element | pop ()
| Delete the highest priority element. Only valid when non-empty.
void | push (const Element &value)
| Insert a new element into the priority queue. Only valid when size() is less than Capacity.
uint32_t | size () const
| Return number of elements in the priority queue.
Element | top ()
| Get the element with the highest priority.
const Element | top () const
| Get the element with the highest priority.
bool | valid () const
| Make sure the priority queue sort all elements correctly.
| ~FixedPriorityQueue ()
## Static Public Member Functions
static size_t | requiredMemorySize (uint32_t capacity)

### template<class Element, class Comparator = Less<Element>>
class Nv::Blast::FixedPriorityQueue< Element, Comparator >

## Constructor & Destructor Documentation

template<class Element , class Comparator = Less<Element>>

Nv::Blast::FixedPriorityQueue< Element, Comparator >::FixedPriorityQueue | ( | const Comparator & | less = `Comparator()` | ) | `[inline]`

template<class Element , class Comparator = Less<Element>>

Nv::Blast::FixedPriorityQueue< Element, Comparator >::~FixedPriorityQueue | ( |  | ) | `[inline]`

## Member Function Documentation

template<class Element , class Comparator = Less<Element>>

void Nv::Blast::FixedPriorityQueue< Element, Comparator >::clear | ( |  | ) | `[inline]`

Empty the priority queue.

template<class Element , class Comparator = Less<Element>>

bool Nv::Blast::FixedPriorityQueue< Element, Comparator >::empty | ( |  | ) | const`[inline]`

Check to whether the priority queue is empty.

template<class Element , class Comparator = Less<Element>>

Element Nv::Blast::FixedPriorityQueue< Element, Comparator >::pop | ( |  | ) | `[inline]`

Delete the highest priority element. Only valid when non-empty.

template<class Element , class Comparator = Less<Element>>

void Nv::Blast::FixedPriorityQueue< Element, Comparator >::push | ( | const Element & | value | ) | `[inline]`

Insert a new element into the priority queue. Only valid when size() is less than Capacity.

template<class Element , class Comparator = Less<Element>>

static size_t Nv::Blast::FixedPriorityQueue< Element, Comparator >::requiredMemorySize | ( | uint32_t | capacity | ) | `[inline, static]`

template<class Element , class Comparator = Less<Element>>

uint32_t Nv::Blast::FixedPriorityQueue< Element, Comparator >::size | ( |  | ) | const`[inline]`

Return number of elements in the priority queue.

template<class Element , class Comparator = Less<Element>>

Element Nv::Blast::FixedPriorityQueue< Element, Comparator >::top | ( |  | ) | `[inline]`

Get the element with the highest priority.

template<class Element , class Comparator = Less<Element>>

const Element Nv::Blast::FixedPriorityQueue< Element, Comparator >::top | ( |  | ) | const`[inline]`

Get the element with the highest priority.

template<class Element , class Comparator = Less<Element>>

bool Nv::Blast::FixedPriorityQueue< Element, Comparator >::valid | ( |  | ) | const`[inline]`

Make sure the priority queue sort all elements correctly.

The documentation for this class was generated from the following file:

- sdk/common/NvBlastFixedPriorityQueue.h